<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.ascc.net/xml/schematron">
   <title>Schéma généré par XSLT</title>
   <ns uri="http://xml.insee.fr/schema/electoral" prefix="el"/>
   <pattern name="contraintes">
      <rule context="el:AvisDInscription/el:SituationElectoraleAnterieure">
         <assert test="not(el:CommuneDePrecedenteInscription) or (normalize-space(el:SituationDeLElecteur) = 'cci')">Element el:CommuneDePrecedenteInscription dans <name/>: seulement si situation de l'électeur=cci</assert>
         <assert test="not(el:ConsulatDePrecedenteInscription) or (normalize-space() = 'p')">Element el:ConsulatDePrecedenteInscription dans <name/>: seulement si type de liste =p</assert>
         <assert test="not(el:PaysUeDerniereInscription) or (normalize-space() = 'ce')">Element el:PaysUeDerniereInscription dans <name/>: seulement si type de liste =ce</assert>
      </rule>
      <rule context="el:AvisDInscriptionDOffice/el:PropositionDInscription/el:Jeune">
         <assert test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))">Element el:LieuDeNaissance dans <name/>: si et seulement si identification rnipp=O</assert>
      </rule>
      <rule context="el:PropositionDInscription/el:Jeune">
         <assert test="(el:LieuDeNaissance or not(normalize-space(el:IdentificationRnipp) = 'O')) and (not(el:LieuDeNaissance) or (normalize-space(el:IdentificationRnipp) = 'O'))">Element el:LieuDeNaissance dans <name/>: si et seulement si identification rnipp=O</assert>
      </rule>
   </pattern>
</schema>